// DemoPowerWriteACValue.cpp 
#include <windows.h>
#include <PowrProf.h>
#include <initguid.h> // pour les DEFINE_GUID ci-dessous

// {370F4BE5-D0FE-4128-9854-DE54765376CA}
DEFINE_GUID(PROGRAMMEZGUID, 
0x370f4be5, 0xd0fe, 0x4128, 0x98, 0x54, 0xde, 0x54, 0x76, 0x53, 0x76, 0xca);

// {bc5038f7-23e0-496096da33abaf5935ec}
DEFINE_GUID (SETTINGPROCGUID,
0xbc5038f7, 0x23e0, 0x4960, 0x96, 0xda, 0x33, 0xab, 0xaf, 0x59, 0x35, 0xec);


#define CADENCEMAX 70 // 70% maxi


int main(int argc, char* argv[])
{
	GUID leguid = PROGRAMMEZGUID;
	GUID sous_guid = GUID_PROCESSOR_SETTINGS_SUBGROUP;
	GUID setting = SETTINGPROCGUID;
	DWORD index;


	PowerReadACValueIndex(NULL,
		&leguid,
		&sous_guid,
		&setting,
		&index);

	PowerWriteACValueIndex(NULL,
		&leguid,
		&sous_guid,
		&setting,
		CADENCEMAX);

	PowerSetActiveScheme(NULL, &leguid);
	return 0;
}

