// DemoCallNtPowerInformation.cpp

#include <iostream>
using namespace std;

#include <windows.h>
#include <PowrProf.h>

int main(int argc, char* argv[])
{
	SYSTEM_POWER_CAPABILITIES spc;
	NTSTATUS result;
	
	result = CallNtPowerInformation(SystemPowerCapabilities,
		NULL,
		0,
		&spc,
		sizeof(SYSTEM_POWER_CAPABILITIES));

	if(result)
		cout << "Buffer insuffisant ou droits insuffisants pour acceder aux informations" << endl;

	if(spc.SystemBatteriesPresent)
		cout << "Une batterie est presente sur le systeme" << endl;
	else
		cout << "Pas de batterie presente" << endl;

	if(spc.ProcessorThrottle)
		cout << "La cadence du processeur est ajustable" << endl;
	else
	{
		cout << "La cadence du processeur n'est pas ajustable" << endl;
		return 0;
	}
	cout << "Seuil d'ajustement mini: " << (int)spc.ProcessorMinThrottle << "%" << endl;
	cout << "Seuil d'ajustement maxi: " << (int)spc.ProcessorMaxThrottle << "%" << endl; 

	return 0;
}

