// DemoGetSystemPowerStatus.cpp 

#include <iostream>
using namespace std;

#include <windows.h>


int main(int argc, char* argv[])
{
	SYSTEM_POWER_STATUS sps;

	while(true)
	{
		GetSystemPowerStatus(&sps);
		if(sps.ACLineStatus == 1)
			cout << "Alimentation secteur" << endl;
		else
			cout << "Batterie en cours d'utilisation" << endl;
		switch(sps.BatteryFlag)
		{
		case 1:
			cout << "Batterie High" << endl;
			break;
		case 2:
			cout << "Batterie low" << endl;
			break;
		case 4:
			cout << "Batterie critique" << endl;
			break;
		case 8:
			cout << "Batterie en charge" << endl;
			break;
		case 128:
			cout << "Pas de batterie" << endl;
			break;
		case 255:
			cout << "Etat de la batterie inconnu" << endl;
		default:
			break;
		}
		if(sps.BatteryLifePercent == 255)
			cout << "Taux de charge de la batterie inconnu" << endl;
		else
			cout << "Charge: " << (int)sps.BatteryLifePercent << "%" << endl;
		
		if(sps.BatteryLifeTime == -1)
			cout << "Autonomie restante inconnue" << endl;
		else
			cout << "Autonomie restante: " << sps.BatteryLifeTime/60 << " minutes" << endl;

		if(sps.BatteryFullLifeTime == -1)
			cout << "Autonomie theorique inconnue" << endl;
		else
			cout << "Autonomie theorique: " << sps.BatteryFullLifeTime/60 << " minutes" << endl;
		cout << endl;

		Sleep(3000);
	}
	return 0;
}

